QGIS Application - Bug report #21746
SAGA OpenCV Image Analysis
2019-04-03 01:14 PM - Nikola Kranj¢i¢

Status: Feedback

Priority: Normal

Assignee:

Category: Processing/SAGA

Affected QGIS version:3.4.6 Regression?: No
Operating System: Windows 10 Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 29561
Description

During SAGA Image analysis all of modules based on OpenCV don't work with the same output - Error select a library. | can see that this
is the common issue, but couldn't manage to solve it.

| have tried installing QGIS on Windows 7, Windows 10, Ubuntu 18 (64 bit). | have tried it on QGIS 3.0, 3.4 and 3.6 - installed as
standalone and via Osgeo - the result is the same.

Is there any way to solve it?

History

#1 - 2019-04-06 02:33 PM - Giovanni Manghi
- Status changed from Open to Feedback

Nikola Kranj¢i¢ wrote:

During SAGA Image analysis all of modules based on OpenCV don't work with the same output - Error select a library. |

what do you mean with the above?

I made a quick and dirt test, and the tools here seems to work (Ubuntu and qgis 3.6.1).

#2 - 2019-04-07 10:42 PM - Nikola Kranjci¢

When trying to perform image classication there is always an error regarding use of right library (openCV functions). Simmilar to this error mentioned -
https://issues.qgis.org/issues/19540

What could be the issue, or next steps?

Kind regards,

Nikola Kranj¢i¢

#3 - 2019-04-08 11:20 AM - Giovanni Manghi

Nikola Kranj¢i¢ wrote:

When trying to perform image classication there is always an error regarding use of right library (openCV functions). Simmilar to this error mentioned
- https.//issues.qgis.org/issues/19540
What could be the issue, or next steps?

there are several image classification tools, can you specify one? It also be useful if you can attach a minimal project+data we can use to test.

#4 - 2019-04-08 01:37 PM - Nikola Kranj¢i¢
- File Signature_Sample_Osijek.shp added

| am trying some of the machine learning modules, for example, Artificial Neural Network. | am attaching one satellite image via link and one shapefile with
test samples in it.
Satellite image: https://drive.google.com/open?id=1W5DJdfs-gYWtlprOPHn8ep1uGic7WwSz

#5 - 2019-04-10 06:06 PM - Giovanni Manghi
Nikola Kranj¢i¢ wrote:
I am trying some of the machine learning modules, for example, Artificial Neural Network. | am attaching one satellite image via link and one

shapefile with test samples in it.
Satellite image: https.//drive.google.com/open?id=1W5DJdfs-qYWtlpr9PHn8ep 1uGic7WwSz

unsure about the results (you din't attached the training areas), but the tool works here.

#6 - 2019-05-22 12:58 PM - Alexander Bruy

Please provide a test data and step-by-step instructions how to reproduce the issue. Also please report which SAGA version do you use.

Files

Signature_Sample_Osijek.shp 5.95 KB 2019-04-08 Nikola Kranjcié

2024-03-13 22


https://drive.google.com/open?id=1W5DJdfs-gYWtlpr9PHn8ep1uGic7WwSz
https://drive.google.com/open?id=1W5DJdfs-gYWtlpr9PHn8ep1uGic7WwSz

